summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-08-26 01:15:52 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-08-26 01:15:52 +0300
commit40ff310ecc5a21f3704a0b33748c08a36c8fe296 (patch)
tree1a2b753b15e7753570a918312b8c24c3593fa9f8
parent9d37308fc1c050c54d0c7c662e3cf970d85c75ae (diff)
[kogaion-skel] pregatire kogaion-skel pentru ISOuri
-rw-r--r--app-misc/kogaion-skel/kogaion-skel-2.ebuild49
1 files changed, 49 insertions, 0 deletions
diff --git a/app-misc/kogaion-skel/kogaion-skel-2.ebuild b/app-misc/kogaion-skel/kogaion-skel-2.ebuild
new file mode 100644
index 00000000..47212eb5
--- /dev/null
+++ b/app-misc/kogaion-skel/kogaion-skel-2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2014 Sabayon Linux
+# Copyright 2014 Kogaion
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+EGIT_REPO_URI="git://github.com/Rogentos/roskel.git"
+
+inherit eutils git-2 fdo-mime
+
+DESCRIPTION="Kogaion Linux skel tree"
+HOMEPAGE="http://www.rogentos.ro/"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+RDEPEND=""
+DEPEND="!>=app-misc/rogentos-skel-1"
+
+src_install () {
+ dodir /etc/xdg/menus
+ cp "${S}"/* "${D}"/etc/ -Ra
+ chown root:root "${D}"/etc/skel -R
+
+ dodir /usr/share/desktop-directories
+ cp "${FILESDIR}"/3.0/xdg/*.directory "${D}"/usr/share/desktop-directories/
+ dodir /usr/share/kogaion
+ cp -a "${FILESDIR}"/3.0/* "${D}"/usr/share/kogaion/
+ doicon "${FILESDIR}"/3.0/img/kogaion-weblink.png
+
+ insinto /etc/bash/ || die "Failed to insinto"
+ doins "${S}"/skel/.bash/bashrc /etc/bash/ || die "Cannot copy bashrc"
+}
+
+pkg_postinst() {
+ if [ -x "/usr/bin/xdg-desktop-menu" ]; then
+ xdg-desktop-menu install \
+ /usr/share/kogaion/xdg/kogaion-kogaion.directory \
+ /usr/share/kogaion/xdg/*.desktop
+ fi
+
+ fdo-mime_desktop_database_update
+}
+
+pkg_prerm() {
+ if [ -x "/usr/bin/xdg-desktop-menu" ]; then
+ xdg-desktop-menu uninstall /usr/share/kogaion/xdg/kogaion-kogaion.directory /usr/share/kogaion/xdg/*.desktop
+ fi
+}